OpenTTD Source: Data Fields

OpenTTD Source 14.0-beta1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - c -

- c : Units , UnitsLong
- cache : FreeUnitIDGenerator , Town
- cache_valid : NewGRFCache
- cached_air_drag : GroundVehicleCache
- cached_anim_triggers : BaseStation
- cached_axle_resistance : GroundVehicleCache
- cached_cargo_age_period : VehicleCache
- cached_cargo_triggers : BaseStation
- cached_curve_speed_mod : TrainCache
- cached_destinations : StationViewWindow
- cached_links : LinkGraphOverlay
- cached_max_curve_speed : TrainCache
- cached_max_range : AircraftCache
- cached_max_range_sqr : AircraftCache
- cached_max_speed : VehicleCache
- cached_max_te : GroundVehicleCache
- cached_max_track_speed : GroundVehicleCache
- cached_name : BaseStation , Industry , Town
- cached_power : GroundVehicleCache
- cached_relative_count : VehicleResolverObject
- cached_roadstop_anim_triggers : BaseStation
- cached_roadstop_cargo_triggers : BaseStation
- cached_slope_resistance : GroundVehicleCache
- cached_stations : LinkGraphOverlay
- cached_tilt : TrainCache
- cached_total_length : GroundVehicleCache
- cached_veh_length : GroundVehicleCache
- cached_vis_effect : VehicleCache
- cached_weight : GroundVehicleCache
- caches : FontCache
- CalcDemand() : DemandCalculator
- CalcHash() : CHashTableT< Titem_, Thash_bits_ >
- CalcNextVehicleOffset() : Train
- CalculatePositionInWidget() : IndustryCargoesWindow
- calendar_date : NetworkServerGameInfo
- calendar_start : NetworkServerGameInfo
- CalendarConvertDateToYMD() : TimerGame< T >
- CalendarConvertYMDToDate() : TimerGame< T >
- call_handler : AllowedSubtags
- callback : CommandPacket , HTTPThreadSafeCallback , NetworkHTTPRequest , ResolverObject , Script_Suspend , ScriptInstance , SetDateWindow
- callback_data : SetDateWindow
- callback_mask : AirportTileSpec , CanalProperties , CargoSpec , EngineInfo , HouseSpec , IndustrySpec , IndustryTileSpec , ObjectSpec , StationSpec , WaterFeature
- callback_param1 : ResolverObject
- callback_param2 : ResolverObject
- callback_proc : FiosFileScanner
- callback_value : ScriptStorage
- CallbackResultSpriteGroup() : CallbackResultSpriteGroup
- callbacks : ClientNetworkContentSocketHandler , NIFeature
- caller_grfid : NewGRFInspectWindow
- CallLoad() : ScriptInstance
- CallMethod() : Squirrel
- calls : NewGRFProfiler
- can_build_widgets : BuildRailToolbarWindow
- can_do_autorefit : OrdersWindow
- can_do_refit : OrdersWindow
- canal_local_properties : GRFFile
- canal_speed_frac : ShipVehicleInfo
- CanAllocate() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- CanAllocateItem() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >
- CanalResolverObject() : CanalResolverObject
- CanCarryCargo() : Engine
- cancel_button : QueryString
- CancelReservation() : Vehicle
- CanDelChar() : Textbuf
- CanEnterNewTile() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- CanExitOldTile() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- CanLeaveWithCargo() : Order
- CanLoadFromVersion() : AIInfo , GameInfo
- CanReadFromPacket() : Packet
- CanRestoreSelectedObject() : BuildObjectWindow
- CanSendReceive() : NetworkTCPSocketHandler
- CanStartNew() : AI
- CanSuspend() : Squirrel
- CanUpgradeCurrent() : NewGRFWindow
- CanWriteToPacket() : Packet
- cap : Scrollbar
- capacities : LinkRefresher
- capacity : CargoSummaryItem , CBinaryHeapT< T > , LinkGraph::BaseEdge , LinkProperties , LinkRefresher::RefitDesc , LRUCache< Tkey, Tdata > , Path , RailVehicleInfo , RefitDesc , RefitResult , TestedEngineDetails
- CapacityAnnotation() : CapacityAnnotation
- caption : OskWindow
- CaptionPlanes : VehicleListWindow
- captiontext : WidgetDimensions
- caret : Textbuf
- caretpos : Textbuf
- caretxoffs : Textbuf
- cargo : CargoDataEntry , CargoesField , CargoSummaryItem , GoodsEntry , Industry::AcceptedCargo , Industry::ProducedCargo
- Cargo() : LinkGraph
- cargo : LinkGraph
- Cargo() : LinkGraphJob
- cargo : LinkProperties , LinkRefresher , LinkRefresher::Hop , LinkRefresher::RefitDesc , RefitDesc , RefitOption , TestedEngineDetails , Vehicle
- cargo_acceptance : HouseSpec , LandInfoWindow
- cargo_age_counter : Vehicle
- cargo_age_period : EngineInfo
- CARGO_AGING_TICKS : Ticks
- cargo_border : CargoesField
- cargo_cap : Vehicle
- cargo_field_width : CargoesField
- cargo_filter_criteria : BaseVehicleListWindow , BuildVehicleWindow
- cargo_input : IndustryProductionSpriteGroup
- cargo_label : CargoesField
- cargo_line : CargoesField
- CARGO_LINE_COLOUR : CargoesField
- cargo_list : GRFFile
- cargo_map : GRFFile
- cargo_mask : LinkGraphOverlay
- cargo_output : IndustryProductionSpriteGroup
- cargo_payment : Vehicle
- cargo_periods_in_transit : CargoList< Tinst, Tcont >
- cargo_space : CargoesField
- cargo_stub : CargoesField
- cargo_subtype : Vehicle
- cargo_textsize : IndustryCargoesWindow
- cargo_threshold : StationSpec
- cargo_triggers : RoadStopSpec , StationSpec
- cargo_type : RoadStopScopeResolver , StationScopeResolver , Subsidy , Vehicle
- CargoChanged() : GroundVehicle< T, Type >
- CargoClickedAt() : CargoesField
- cargoes : CargoesField , CompanyStationsWindow::FilterState
- CargoLabelClickedAt() : CargoesField
- CargoList() : CargoList< Tinst, Tcont > , CargoPacket
- CargoList< StationCargoList, StationCargoPacketMap > : StationCargoList
- CargoList< VehicleCargoList, CargoPacketList > : VehicleCargoList
- CargoPacket() : CargoPacket
- CargoPayment() : CargoPayment
- CargoResolverObject() : CargoResolverObject
- Case() : Case
- case_map : LanguageMap
- case_sensitive : StringFilter
- case_sensitive_break_check : ScriptDebugWindow::FilterState
- caseidx : Case
- cases : LanguagePackHeader
- cat : IntSettingDesc
- cat_index : MusicSongInfo
- catchment : AirportSpec
- catchment_tiles : Station
- CatchmentCoversTown() : Station
- category : AILibrary , GameLibrary , PriceBaseSpec
- cb : NewGRFProfiler::Call
- cb_bit : NICallback
- cb_id : NICallback
- CBinaryHeapT() : CBinaryHeapT< T >
- CClosedList : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- CCountedPtr() : CCountedPtr< Tcls_ >
- cell_size : DepotWindow
- center : ViewportSign
- cgcontext : VideoDriver_CocoaQuartz
- chain : LoadFilter , SaveFilter
- chain_index : NewGRFInspectWindow
- Change() : Backup< T > , Gamelog
- change : LoggedAction
- Change() : ScriptConfig
- change_date : Cheats
- change_timetable_all : TimetableWindow
- ChangeAnimationFrame() : AnimationBase< Tbase, Tspec, Tobj, Textra, GetCallback, Tframehelper >
- ChangeMusicSet() : MusicSystem
- ChangePlaylist() : MusicSystem
- ChangePlaylistPosition() : MusicSystem
- ChangeResolution() : VideoDriver , VideoDriver_Allegro , VideoDriver_Cocoa , VideoDriver_Dedicated , VideoDriver_Null , VideoDriver_SDL , VideoDriver_SDL_Base , VideoDriver_Win32Base
- ChangeScript() : ScriptListWindow
- ChangeShare() : FlowStat
- ChangeToScript() : ScriptDebugWindow
- ChangeValue() : IntSettingDesc , StringSettingDesc
- channels : MpsMachine
- char_itr : IcuStringIterator
- char_stop : OSXStringIterator::CharInfo , UniscribeStringIterator::CharInfo
- chars : Textbuf
- CharType : CoreTextParagraphLayoutFactory , FallbackParagraphLayoutFactory , ICUParagraphLayoutFactory , UniscribeParagraphLayoutFactory
- chat_height : NewsWindow
- ChatTabCompletion() : NetworkChatWindow
- ChatTabCompletionFindText() : NetworkChatWindow
- ChatTabCompletionNextItem() : NetworkChatWindow
- cheat_line_height : IndustryViewWindow
- check_proc : IndustrySpec
- check_result : MD5File
- checkable : LoadCheckData
- CheckActivity() : TCPConnecter , TCPServerConnecter
- CheckAllocation() : ScriptAllocator
- checkbox_size : NetworkContentListWindow
- CheckCallbacks() : TCPConnecter
- CheckConnection() : ClientNetworkGameSocketHandler , QueryNetworkGameSocketHandler
- CheckDependencyState() : ClientNetworkContentSocketHandler
- checked : DropDownCheck< TBase, TEnd, TFs >
- CheckHyperlinkClick() : TextfileWindow
- CheckIntegrity() : RoadStop::Entry
- CheckInvariant() : Kdtree< T, TxyFunc, CoordT, DistT >
- CheckMatch() : HotkeyList
- CheckMD5() : BaseSet< T, Tnum_files, Tsearch_in_tars > , GraphicsSet , MD5File
- CheckMethod() : ScriptInfo
- CheckPaletteAnim() : VideoDriver , VideoDriver_Allegro , VideoDriver_CocoaQuartz , VideoDriver_SDL , VideoDriver_SDL_Base , VideoDriver_Win32Base
- CheckSelectedSize() : BuildRailStationWindow
- CheckShipReverse() : CYapfFollowShipT< Types >
- CheckStatus() : MusicSystem
- ChecksumResult : MD5File
- CheckTile() : AyStar
- child : NWidgetBackground , TileLayoutRegisters
- children : CargoDataEntry , NWidgetContainer
- ChooseAction() : VehicleCargoList
- chrono_start : TicToc
- CHUNK : PacketReader
- ci : ContentTextfileWindow
- CItemArray : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- city : FoundTownWindow
- ClampToMap() : OrthogonalTileArea
- class_id : HouseClassMapping , HouseSpec
- classes : CargoSpec , NewGRFClass< Tspec, Tid, Tmax >
- Clean() : PoolBase
- cleaning : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- CleaningPool() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >
- CleanPool() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero > , PoolBase
- cleanup_flag : IndustrySpec
- CleanupPaths() : MultiCommodityFlow
- Clear() : AyStar , BinaryHeap , CargoDataEntry , CBinaryHeapT< T > , CHashTableSlotT< Titem_ > , CHashTableT< Titem_, Thash_bits_ > , ClientNetworkContentSocketHandler , DiagonalTileArea , FixedSizeArray< T, C > , GroupStatistics , Hash , IniGroup , Kdtree< T, TxyFunc, CoordT, DistT > , LinkGraphSchedule , LoadCheckData , OrthogonalTileArea , OutputBuffer , OutputStore , SmallArray< T, B, N > , VehicleSpriteSeq
- clear_cost_multiplier : ObjectSpec , RoadStopSpec
- clear_cursor_cache : OpenGLBackend
- clear_frame_burst : ConstructionSettings
- clear_limit : CompanyProperties
- clear_per_64k_frames : ConstructionSettings
- ClearArticulatedPart() : GroundVehicle< T, Type >
- ClearChanges() : BasePersistentStorageArray , PersistentStorageArray< TYPE, SIZE >
- ClearConfigList() : ScriptConfig
- ClearCursorCache() : OpenGLBackend
- ClearDataForNextFile() : GrfProcessingState
- ClearDriveThrough() : RoadStop
- ClearEngine() : GroundVehicle< T, Type >
- ClearFontCache() : CoreTextFontCache , FontCache , FreeTypeFontCache , MockFontCache , SpriteFontCache , TrueTypeFontCache , Win32FontCache
- ClearFreeWagon() : GroundVehicle< T, Type >
- ClearFrontEngine() : GroundVehicle< T, Type >
- ClearGlyphToSpriteMap() : SpriteFontCache
- ClearGroup() : OrderBackup
- ClearMultiheaded() : GroundVehicle< T, Type >
- ClearSystemSprites() : VideoDriver , VideoDriver_Cocoa , VideoDriver_CocoaOpenGL , VideoDriver_SDL_OpenGL
- ClearVehicle() : OrderBackup
- ClearWagon() : GroundVehicle< T, Type >
- click_beep : SoundSettings
- click_delay : DropdownWindow
- click_tile_proc : TileTypeProcs
- click_x : RefitWindow
- clicked : NWidgetMatrix
- clicked_button : GSConfigWindow , IndustryViewWindow , NewGRFParametersWindow , ScriptSettingsWindow
- clicked_dropdown : GSConfigWindow , NewGRFParametersWindow , ScriptSettingsWindow
- clicked_entry : GameSettingsWindow
- clicked_increase : GSConfigWindow , NewGRFParametersWindow , ScriptSettingsWindow
- clicked_line : IndustryViewWindow
- clicked_pixel : NewGrfDebugSpritePicker
- clicked_row : GSConfigWindow , NewGRFParametersWindow , ScriptSettingsWindow
- client_address : ServerNetworkGameSocketHandler
- client_id : NetworkClientInfo , NetworkGameSocketHandler
- client_name : NetworkClientInfo , NetworkSettings
- client_playas : NetworkClientInfo
- ClientError() : ClientNetworkGameSocketHandler
- ClientIdIsSet() : CommandHelper< Tcmd, Tret(*)(DoCommandFlag, Targs...), true >
- ClientNetworkContentSocketHandler() : ClientNetworkContentSocketHandler
- ClientNetworkGameSocketHandler() : ClientNetworkGameSocketHandler
- clients : NetworkCompanyInfo
- clients_max : NetworkServerGameInfo
- clients_on : NetworkServerGameInfo
- ClientSizeChanged() : VideoDriver_SDL_Base
- ClientStatus : ServerNetworkGameSocketHandler
- climate : ObjectSpec
- climate_availability : IndustrySpec
- climates : EngineInfo
- Clone() : AirportTileIterator , AirportTileTableIterator , BitmapTileIterator , DiagonalTileIterator , NewGRFSpriteLayout
- clone : OrderBackup
- Clone() : OrthogonalTileIterator , TileIterator
- Close() : BootstrapAskForDownloadWindow , NetworkAskRelayWindow
- close : NewsSettings
- Close() : PickerWindowBase , Window
- close_cond : TooltipsWindow
- CloseAllConnections() : ClientNetworkCoordinatorSocketHandler
- closebox : WidgetDimensions
- closebox_dimension : NWidgetLeaf
- CloseChildWindows() : Window
- CloseConnection() : ClientNetworkContentSocketHandler , ClientNetworkCoordinatorSocketHandler , ClientNetworkGameSocketHandler , ClientNetworkStunSocketHandler , ClientNetworkTurnSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler , NetworkTCPSocketHandler , QueryNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- closed_windows : Window
- ClosedCount() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- closedlist_hash : AyStar
- ClosedListAdd() : AyStar
- ClosedListIsInList() : AyStar
- CloseLibrary() : LibraryLoader
- CloseListeners() : TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >
- CloseSocket() : NetworkTCPSocketHandler , NetworkUDPSocketHandler
- CloseStunHandler() : ClientNetworkCoordinatorSocketHandler
- CloseToken() : ClientNetworkCoordinatorSocketHandler
- CloseTurnHandler() : ClientNetworkCoordinatorSocketHandler
- closing_dropdown : GameSettingsWindow , GSConfigWindow , NewGRFParametersWindow , ScriptSettingsWindow
- closure_text : IndustrySpec
- ClrTile() : BitmapTileArea
- cls : WindowDesc
- cls_id : AirportSpec , ObjectSpec , RoadStopSpec , StationSpec
- cmd : CommandPacket , SaveLoad
- CmdGet() : IConsole
- cmdline : IConsoleAlias
- CmdRegister() : IConsole
- cmp_mode : RandomizedSpriteGroup
- CNodeList_HashTableT() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- cocoaview : VideoDriver_Cocoa
- code : CurrencySpec , DefaultUnicodeMapping
- col_break : LegendAndColour
- CollectGarbage() : ScriptInstance , Squirrel
- color_space : VideoDriver_Cocoa
- colour : ButtonCommon , ChatMessage
- Colour() : Colour
- colour : CompanyNewsInformation , CompanyProperties , Font , GoalQuestionWindow , IConsoleLine , LegendAndColour , NWidgetCore , NWidgetMatrix , NWidgetPartTextStyle , NWidgetPartWidget , Object , TextfileWindow::Line
- colour1 : Livery
- colour2 : Livery
- colour_count : SmallMapColourScheme
- colour_stack : FontState
- coloured_news_year : GUISettings
- colourmap : Vehicle
- colours : SpriteLoader::Sprite
- column_size : VehicleGroupWindow
- column_width : SmallMapWindow
- columns : CargoesRow
- combine_sprites : ViewportDrawer
- command_index : IntroGameViewportCommand
- command_pause_level : ConstructionSettings
- CommandCost() : CommandCost
- CommandPacket() : CommandPacket
- CommandQueue() : CommandQueue
- commands_per_frame : NetworkSettings
- commands_per_frame_server : NetworkSettings
- comment : IniGroup , IniItem , IniLoadFile
- companies : LoadCheckData
- companies_max : NetworkServerGameInfo
- companies_on : NetworkServerGameInfo
- company : ClientSettings , CommandPacket
- Company() : Company
- company : Goal , LeagueTableElement , LegendAndColour , NetworkJoinInfo , ScriptStorage , StoryPage , VehicleListIdentifier
- company_avail : Engine
- company_hidden : Engine
- company_info : NewsSettings
- company_information : NewGRFCache
- company_mask : LinkGraphOverlay
- company_name : CompanyNewsInformation , NetworkCompanyInfo
- company_password : NetworkJoinInfo
- company_value : BuyCompanyWindow , CompanyEconomyEntry , NetworkCompanyInfo
- CompanyNewsInformation() : CompanyNewsInformation
- CompanyWindowPlanes : CompanyWindow
- CompareTo() : NetworkAddress
- compatible : NetworkGameInfo
- compatible_railtypes : RailTypeInfo
- compatible_roadtypes : RoadVehicle
- competitor_intelligence : DifficultySettings
- competitor_speed : DifficultySettings
- competitor_start_time : DifficultySettings
- competitors_interval : DifficultySettings
- Compile() : GameStrings
- compiled_strings : GameStrings
- CompileError() : Squirrel
- complete_labels : GRFParameterInfo , ScriptConfigItem
- completed : Goal
- ComposeColourPA() : Blitter_32bppBase
- ComposeColourPANoCheck() : Blitter_32bppBase
- ComposeColourRGBA() : Blitter_32bppBase
- ComposeColourRGBANoCheck() : Blitter_32bppBase
- compression : BmpInfo
- COMPRESSION_INTERVAL : LinkGraph
- ComputeCargoDisplay() : IndustryCargoesWindow
- ComputeGroupInfoSize() : VehicleGroupWindow
- ComputeIndustryDisplay() : IndustryCargoesWindow
- ComputeScroll() : SmallMapWindow
- config_list : ScriptConfig , ScriptInfo
- confirm : SoundSettings
- conflicting : IndustrySpec
- Connect() : ClientNetworkContentSocketHandler , ClientNetworkStunSocketHandler , ClientNetworkTurnSocketHandler , NetworkHTTPRequest , NetworkHTTPSocketHandler , TCPConnecter
- connect_started : ClientNetworkTurnSocketHandler
- connect_time : ServerNetworkAdminSocketHandler
- connect_to_ip : NetworkSettings
- ConnectCargo() : CargoesField
- connecter : ClientNetworkCoordinatorSocketHandler , ClientNetworkStunSocketHandler , ClientNetworkTurnSocketHandler
- connecter_pre : ClientNetworkCoordinatorSocketHandler
- connecters : TCPConnecter
- ConnectFailure() : ClientNetworkCoordinatorSocketHandler
- ConnectIndustryAccepted() : CargoesRow
- ConnectIndustryProduced() : CargoesRow
- connecting : ClientNetworkCoordinatorSocketHandler
- connection : NetworkHTTPRequest
- connection_string : AfterNewGRFScan , ClientNetworkGameSocketHandler , ClientNetworkTurnSocketHandler , NetworkGameList , NetworkJoinInfo , QueryNetworkGameSocketHandler , ServerAddress , TCPConnecter
- ConnectSuccess() : ClientNetworkCoordinatorSocketHandler
- ConnectToServer() : ClientNetworkCoordinatorSocketHandler
- consist_capleft : FinalizeRefitAction , PrepareRefitAction
- consist_cargo_information : NewGRFCache
- ConsistChanged() : Train
- consistent_max_offset : NewGRFSpriteLayout
- console_backlog_length : GUISettings
- console_backlog_timeout : GUISettings
- ConstIterator : CargoList< Tinst, Tcont >
- ConstReverseIterator : CargoList< Tinst, Tcont >
- construction : GameSettings
- construction_cost : DifficultySettings
- construction_date : Industry
- construction_type : Industry
- Constructor() : AIInfo , AILibrary , GameInfo , GameLibrary , ScriptInfo
- cont : GetOptData
- cont_flags : NWidgetPart::NWidgetPartUnion
- container_version : SpriteFile
- Contains() : DiagonalTileArea , LRUCache< Tkey, Tdata > , OrthogonalTileArea , Rect , SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >
- content : NetworkContentListWindow
- content_begin : SpriteFile
- content_type : BaseSetTextfileWindow< TBaseSet >
- content_type_strs : NetworkContentListWindow
- ContentIDList : ClientNetworkContentSocketHandler
- context : RailTypeScopeResolver , RoadTypeScopeResolver
- Continue() : ScriptInstance
- control_flags : SpriteCache
- controller : ScriptInstance
- conv : SaveLoad
- convert : RailTypeInfo
- convert_rail : RailTypeInfo
- convert_road : RoadTypeInfo
- ConvertDateToYMD() : TimerGameCalendar , TimerGameEconomy
- ConvertFromOldSavegame() : Order
- ConvertYMDToDate() : TimerGameCalendar , TimerGameEconomy
- coord : Vehicle
- COpenList : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- CopyConsistPropertiesFrom() : BaseConsist
- CopyFromBuffer() : Blitter , Blitter_32bppAnim , Blitter_32bppBase , Blitter_40bppAnim , Blitter_8bppBase , Blitter_Null
- CopyImageToBuffer() : Blitter , Blitter_32bppBase , Blitter_40bppAnim , Blitter_8bppBase , Blitter_Null
- CopyOutDParams() : ErrorMessageData
- CopyParams() : GRFConfig
- CopyToBuffer() : Blitter , Blitter_32bppAnim , Blitter_32bppBase , Blitter_40bppAnim , Blitter_8bppBase , Blitter_Null
- CopyVehicleConfigAndStatistics() : Vehicle
- CopyWithoutPalette() : VehicleSpriteSeq
- cost : BaseGraphWindow , CommandCost , TestedEngineDetails
- cost_factor : RailVehicleInfo
- cost_multiplier : IndustrySpec , RailTypeInfo , RoadTypeInfo
- costs : ScriptStorage
- count : CargoDataEntry , CargoList< Tinst, Tcont >
- Count() : CargoPacket
- count : CargoPacket
- Count() : CHashTableT< Titem_, Thash_bits_ > , CommandQueue
- count : CommandQueue
- Count() : Kdtree< T, TxyFunc, CoordT, DistT >
- count : NWidgetMatrix , ReusableBuffer< T > , Scrollbar
- count_dirty : Palette
- count_width : DepotWindow
- CountEngine() : GroupStatistics
- counter : Industry , TimerGameTick
- COUNTER_STEP : StatusBarWindow
- CountInUse() : StringData
- CountLines() : GoalListWindow , SubsidyListWindow
- CountMatchingAcceptingIndustries() : IndustryCargoesWindow
- CountMatchingProducingIndustries() : IndustryCargoesWindow
- CountRuns() : FallbackParagraphLayout::FallbackLine
- counts : Industry , Object
- CountValue() : Kdtree< T, TxyFunc, CoordT, DistT >
- CountVehicle() : GroupStatistics
- coverage_height : BuildRailStationWindow , BuildRoadStationWindow
- CPriorityQueue : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- CR_MATCH : MD5File
- CR_MISMATCH : MD5File
- CR_NO_FILE : MD5File
- CR_UNKNOWN : MD5File
- Crash() : Aircraft , GroundVehicle< T, Type > , RoadVehicle , Train , Vehicle
- crash_anim_pos : Train
- crashed : Squirrel
- crashed_counter : Aircraft
- crashed_ctr : RoadVehicle
- CrashLogOSX() : CrashLogOSX
- CrashLogUnix() : CrashLogUnix
- CrashLogWindows() : CrashLogWindows
- CrashOccurred() : Squirrel
- Create() : OpenGLBackend , OpenGLSprite , SimplePool< Titem, Tindex, Tgrowth_step, Tmax_size > , StringIterator , TCPConnecter , TileIterator
- CreateClassInstance() : Squirrel
- CreateClassInstanceVM() : Squirrel
- CreateFileName() : CrashLog
- CreateGroup() : IniLoadFile
- CreateInstance() : BlitterFactory , DriverFactoryBase , FBlitter_32bppAnim , FBlitter_32bppOptimized , FBlitter_32bppSimple , FBlitter_40bppAnim , FBlitter_8bppOptimized , FBlitter_8bppSimple , FBlitter_Null , FMusicDriver_Allegro , FMusicDriver_BeMidi , FMusicDriver_Cocoa , FMusicDriver_DMusic , FMusicDriver_ExtMidi , FMusicDriver_FluidSynth , FMusicDriver_Null , FMusicDriver_Win32 , FSoundDriver_Allegro , FSoundDriver_Cocoa , FSoundDriver_Null , FSoundDriver_SDL , FSoundDriver_Win32 , FSoundDriver_XAudio2 , FVideoDriver_Allegro , FVideoDriver_CocoaOpenGL , FVideoDriver_CocoaQuartz , FVideoDriver_Dedicated , FVideoDriver_Null , FVideoDriver_SDL , FVideoDriver_SDL_Default , FVideoDriver_SDL_OpenGL , FVideoDriver_Win32GDI
- CreateItem() : IniGroup
- CreateMainWindow() : VideoDriver_SDL_Base , VideoDriver_SDL_OpenGL
- CreateNestedTree() : Window
- CreateNewNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ > , CYapfBaseT< Types >
- CreateRandomPath() : CYapfFollowShipT< Types >
- criteria : Filtering , Listing
- crossing : RailTypeInfo
- crossing_tunnels : Cheats
- crossing_with_competitor : ConstructionSettings
- cs : Packet , PacketWriter
- ct : CargoPayment
- ctlflags : Industry
- ctt_exclude_mask : GRFTempEngineData
- ctt_include_mask : GRFTempEngineData
- cur_call : NewGRFProfiler
- cur_colour : FontState
- cur_economy : CompanyProperties
- cur_id : BaseNetworkContentDownloadStatusWindow
- cur_implicit_order_index : BaseConsist
- cur_language : GameStrings
- cur_offset : CoreTextParagraphLayout
- cur_pos : OSXStringIterator , UniscribeStringIterator
- cur_program : MpsMachine::Channel
- cur_range : UniscribeParagraphLayout
- cur_range_offset : UniscribeParagraphLayout
- cur_real_order_index : BaseConsist
- cur_speed : Vehicle
- cur_viewport_command_index : SelectGameWindow
- cur_viewport_command_time : SelectGameWindow
- curFile : ClientNetworkContentSocketHandler
- curid : FreeUnitIDGenerator
- curInfo : ClientNetworkContentSocketHandler
- currency : LocaleSettings
- current : CrashLogOSX , CrashLogUnix , CrashLogWindows , PacketWriter
- current_address : TCPConnecter
- current_edit_param : NewGRFInspectWindow
- current_element : NWidgetMatrix
- current_loan : CompanyProperties
- current_mode : StationViewWindow
- current_order : Vehicle
- current_order_time : BaseConsist
- current_sprite : SpriteAlignerWindow
- current_station : CargoPayment
- current_tempo : MpsMachine
- current_tile : CargoDelivery , CargoLoad , CargoReturn , CargoTransfer
- current_x : NWidgetBase
- current_y : NWidgetBase
- CurrentIndex() : StringBuilder
- cursor : RailTypeInfo , RoadTypeInfo
- cursor_cache : OpenGLBackend
- cursor_in_window : OpenGLBackend
- cursor_pos : OpenGLBackend
- cursor_sprite_count : OpenGLBackend
- cursor_sprite_pos : OpenGLBackend
- cursor_sprite_seq : OpenGLBackend
- curve_speed : RailTypeInfo
- curve_speed_mod : RailVehicleInfo
- cust_cargoes : CargoesField
- custom_1 : MusicSettings
- custom_2 : MusicSettings
- custom_industry_number : GameCreationSettings
- custom_message : GRFError
- custom_roadstop_tile_data : BaseStation
- custom_sea_level : GameCreationSettings
- custom_terrain_type : GameCreationSettings
- custom_town_number : GameCreationSettings
- CWP_MP_C_JOIN : CompanyWindow
- CWP_MP_C_PWD : CompanyWindow
- CWP_RELOCATE_HIDE : CompanyWindow
- CWP_RELOCATE_SHOW : CompanyWindow
- CWP_VB_BUILD : CompanyWindow
- CWP_VB_VIEW : CompanyWindow
- CYapfBaseT() : CYapfBaseT< Types >
- cycle_signal_types : GUISettings